import { removeSlash } from "./path.mjs";
/**
 * 下划线命名改为驼峰命名
 */
export const barToHump = (str) => {
  return str.replace(/-\w{1}/g, (str) => str.replace("-", "").toUpperCase());
};

/**
 * 驼峰命名改为下划线命名
 */
export const humpToBar = (str) => {
  return str
    .replace(/^[A-Z]{1}/, (str) => str.toLowerCase())
    .replace(/[A-Z]{1}/g, (str) => `-${str.toLowerCase()}`);
};

/**
 * 根据文件地址或url地址创建组件命名
 * exmple：/app/app-detail => AppDetail
 */
export const createComponentNameByUrl = (str) => {
  const splitedArr = str.split("/");
  const target = splitedArr.pop();

  return target
    ? barToHump(target).replace(/^[a-z]{1}/, (str) => str.toUpperCase())
    : "Unknow";
};

/**
 * 根据页面url返回页面组件对应的一级目录
 */
export const createPageRootPath = (str) => {
  const splitedArr = removeSlash(str).split("/");
  const target = splitedArr.shift();

  return target;
};